//package de.intevation.mxd.reader;

import java.io.IOException;

import org.w3c.dom.Document;

/**
 * The interface to the MXD-Reader.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public interface IReader {
    /**
     * Initializes the reader component.
     */
    boolean init() throws IOException;

    /**
     * Method to perform actions at the of reader usage.
     */
    boolean shutdown() throws IOException;

    /**
     * Set the filename.
     */
    void setFilename(String name);

    /**
     * Read the content.
     */
    boolean read() throws IOException;

    /**
     * Request DOM Document containing the map data.
     */
    Document getMapDocument();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
