//package de.intevation.mxdaderr;

import java.io.IOException;

import org.apache.log4j.Logger;

import com.esri.arcgis.carto.IFeatureRenderer;
import com.esri.arcgis.display.ISymbol;
import com.esri.arcgis.carto.SimpleRenderer;
import com.esri.arcgis.display.SimpleMarkerSymbol;

/**
 * Reads simple renderer information.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class SimpleRendererReader implements IRendererReader{

    //Member
    private ISymbol symbol;
    private IFeatureRenderer renderer;
    private static final Logger logger = Logger.getLogger(FeatureLayerReader.class);

    //Constructor
    public SimpleRendererReader(IFeatureRenderer renderer){
        this.renderer = renderer;
    }


    //Methods
    public boolean read() throws IOException{
        logger.debug("read()");
        if(renderer instanceof SimpleRenderer){
            SimpleRenderer sr = (SimpleRenderer)renderer;
            System.out.println("--------------------");
            System.out.println("Renderer inforamtion:");
            System.out.println("Label\t\t = " + sr.getLabel());
            System.out.println("Description\t\t = " + sr.getDescription());
            System.out.println("");
            symbol = sr.getSymbol();
            try{
                ISymbolReader isr= new SimpleMarkerSymbolReader(symbol);
                isr.read();
                return true;
            }
            catch(Exception e){
                e.printStackTrace();
            }
        }
        return false;
    }

    public void getRenderer() throws IOException{
        logger.debug("getRenderer() -> not implemented jet.");
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
